Subject: Re: FVWM: Re: Fvwm article

From: Todd Tyrone Fries <[email-masked]>
Date: Tue, 30 Apr 1996 23:14:01 -0600 (MDT)

> Am I understanding you correctly. Is it (sort-of) possible to have
> private colormaps in effect for each desk (so one could say, stick the
> netscape hog on one desk and still have plenty of color slots for
> other apps that reside on other desks)? That would be a big win
> (although it seems technically challenging to say the least).
> 
> c> After all, how would you deal with windows moving across desks?
> Punt.

That would be a wonderful idea.  For case 'c)' perhaps (is it possible) to
assign an app with too many colors a private colormap from the window manager?

Can apps have 'shaired-private' colormaps incase some of the colors are the
same?  (anybody know a good X tutorial I could poke at to see what really IS
possible with regards to colormap manipulation?)..

Just some thoughts..
-- 
Todd Fries
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Stefan 'Stetson' Skoglund" <[email-masked]>
Date: Thu, 2 May 1996 09:30:49 +0200

Maybe it would be possible if the applications view
of the colors was an virtual one ?? ie having the x server
do the translation of colorname to rgb values on the fly while
outputting to the screen ?? That would allow the window managers
to manage colormapping as they see fit. Would of course
require an rewrite of the protocol...
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].